﻿using Plane.Windows.IniHelper;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Plane.FormationCreator.Util
{
    public static class VersionControl
    {
        public static int Version = 0;
        public static bool IsFullVersion = false;

        public static void GetVersionFromIni()
        {
            IniFiles iniFiles = new IniFiles();
            string readvalue = iniFiles.IniReadvalue("Version", "Version");
            int intTemp;
            if (readvalue != "" && int.TryParse(readvalue, out intTemp))
                Version = int.Parse(readvalue);
            IsFullVersion = Version == 255;
        }
    }
}
